## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global uuid    im.srain.Srain

Name:           srain
Version:        1.5.0
Release:        %autorelease
Summary:        Modern, beautiful IRC client written in GTK+ 3

# The entire source code is GPLv3+ except:
# * keypair/        which is BSD
# * sui_side_bar/   which is GPLv2+
License:        GPLv3+ and BSD and GPLv2+
URL:            https://github.com/SrainApp/srain
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.47
BuildRequires:  python3-sphinx

BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.15
BuildRequires:  pkgconfig(libconfig) >= 1.5
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(openssl)

Requires:       hicolor-icon-theme

Suggests:       %{name}-doc

%description
%{summary}.


%package doc
Summary:        Documentation files for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

%description doc
Documentation files for %{name}.


%prep
%autosetup


%build
%meson \
    -Ddoc_builders=html,man
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%doc README.rst
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_mandir}/*1/*.1*
%{_metainfodir}/*.xml
%{_sysconfdir}/%{name}

%files doc
%{_docdir}/%{name}/html/


%changelog
* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 02 2022 Artem Polishchuk <ego.cordatus@gmail.com> 1.5.0-1
- chore(update): 1.5.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun May 08 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-1
- chore(update): 1.4.0

* Thu Feb 10 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.2-1
- chore(update): 1.3.2

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 18 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.1-1
- chore(update): 1.3.1

* Tue Sep 21 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.0-1
- build(update): 1.3.0

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.2.4-3
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 19 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.4-1
- build(update): 1.2.4

* Sat Jun 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.3-1
- build(update): 1.2.3

* Sun May 30 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.2-1
- build(update): 1.2.2

* Sat Apr 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.1-1
- build(update): 1.2.1

* Wed Mar 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-1
- build(update): 1.2.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.1-1
- Update to 1.1.1

* Sun May 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-1
- Update to 1.1.0
- Disable LTO

* Sat Apr 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Sat Mar 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.1-1
- Update to 1.0.1

* Mon Feb 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-1
- Update to 1.0.0
- Enable LTO

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.6.rc9999
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.5.rc9999
- Update to 1.0.0rc9999

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.4.rc5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.3.rc5
- Update to 1.0.0rc5

* Mon Apr 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.0-0.2.rc3
- Initial Package

